Description

When POST'ing to repositories#fetch_changesets, we fetch changesets and then just render the show page This retains the URL of

the fetch_changesets action in the browser bar, e.g.

https://redmine.example.com/projects/test/repository/demo/fetch_changesets

 Furthermore, the rendered page is the result of a POST and is thus not easily reloaded. Thus, I propose that instead of directly

showing the repository again, we issue a redirect to the repository's show page. That way, the fetch_changesets URL is not visible

ion the browser's address bar and the page can be easily reloaded.

This is implemented in the attached patch.

Associated revisions

Revision 22414 - 2023-10-31 13:45 - Go MAEDA

Redirect to repositories#show after repository#fetch_changesets to avoid the user-visible browser URL (#39238).

Patch by Holger Just.

History

#1 - 2023-10-26 12:45 - Go MAEDA

- Target version set to 5.1.0

#2 - 2023-10-26 14:24 - Go MAEDA

- Target version changed from 5.1.0 to 6.0.0

#3 - 2023-10-31 13:45 - Go MAEDA

- Tracker changed from Patch to Feature

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r22414. Thank you.

#4 - 2023-10-31 13:45 - Go MAEDA

- Status changed from New to Closed

Files

0001-Redirect-to-repositories-show-after-repository-fetch.patch 1.7 KB 2023-10-25 Holger Just
